org.apache.felix.gogo.runtime.threadio

## Class ThreadPrintStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - java.io.PrintStream
      - - org.apache.felix.gogo.runtime.threadio.ThreadPrintStream

All Implemented Interfaces:
  Closeable, Flushable, Appendable, AutoCloseable

    public class ThreadPrintStream
    extends PrintStream

### Field Summary

### Fields inherited from class java.io.FilterOutputStream

`out`

### Constructor Summary

Constructors
Constructor and Description
`ThreadPrintStream(ThreadIOImpl threadIO, PrintStream out, boolean error)`

### Method Summary

All Methods Instance Methods Concrete Methods
`PrintStream` `append(char c)`
`PrintStream` `append(CharSequence csq)`
`PrintStream` `append(CharSequence csq, int start, int end)`
`boolean` `checkError()`
`void` `clearError()`
`void` `close()`
`void` `flush()`
`PrintStream` `format(Locale l, String format, Object... args)`
`PrintStream` `format(String format, Object... args)`
`PrintStream` `getCurrent()`
`PrintStream` `getRoot()` Access to the root stream through reflection
`void` `print(boolean b)`
`void` `print(char c)`
`void` `print(char[] s)`
`void` `print(double d)`
`void` `print(float f)`
`void` `print(int i)`
`void` `print(long l)`
`void` `print(Object obj)`
`void` `print(String s)`
`PrintStream` `printf(Locale l, String format, Object... args)`
`PrintStream` `printf(String format, Object... args)`
`void` `println()`
`void` `println(boolean x)`
`void` `println(char x)`
`void` `println(char[] x)`
`void` `println(double x)`
`void` `println(float x)`
`void` `println(int x)`
`void` `println(long x)`
`void` `println(Object x)`
`void` `println(String x)`
`void` `setError()`
`void` `write(byte[] b)`
`void` `write(byte[] buf, int off, int len)`
`void` `write(int b)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThreadPrintStream

    public ThreadPrintStream(ThreadIOImpl threadIO,
                             PrintStream out,
                             boolean error)

### Method Detail

#### getCurrent

    public PrintStream getCurrent()

#### getRoot

    public PrintStream getRoot()

Access to the root stream through reflection

#### flush

    public void flush()

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `PrintStream`

#### close

    public void close()

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Overrides:
  `close` in class `PrintStream`

#### checkError

    public boolean checkError()

Overrides:
  `checkError` in class `PrintStream`

#### setError

    public void setError()

Overrides:
  `setError` in class `PrintStream`

#### clearError

    public void clearError()

Overrides:
  `clearError` in class `PrintStream`

#### write

    public void write(int b)

Overrides:
  `write` in class `PrintStream`

#### write

    public void write(byte[] buf,
                      int off,
                      int len)

Overrides:
  `write` in class `PrintStream`

#### print

    public void print(boolean b)

Overrides:
  `print` in class `PrintStream`

#### print

    public void print(char c)

Overrides:
  `print` in class `PrintStream`

#### print

    public void print(int i)

Overrides:
  `print` in class `PrintStream`

#### print

    public void print(long l)

Overrides:
  `print` in class `PrintStream`

#### print

    public void print(float f)

Overrides:
  `print` in class `PrintStream`

#### print

    public void print(double d)

Overrides:
  `print` in class `PrintStream`

#### print

    public void print(char[] s)

Overrides:
  `print` in class `PrintStream`

#### print

    public void print(String s)

Overrides:
  `print` in class `PrintStream`

#### print

    public void print(Object obj)

Overrides:
  `print` in class `PrintStream`

#### println

    public void println()

Overrides:
  `println` in class `PrintStream`

#### println

    public void println(boolean x)

Overrides:
  `println` in class `PrintStream`

#### println

    public void println(char x)

Overrides:
  `println` in class `PrintStream`

#### println

    public void println(int x)

Overrides:
  `println` in class `PrintStream`

#### println

    public void println(long x)

Overrides:
  `println` in class `PrintStream`

#### println

    public void println(float x)

Overrides:
  `println` in class `PrintStream`

#### println

    public void println(double x)

Overrides:
  `println` in class `PrintStream`

#### println

    public void println(char[] x)

Overrides:
  `println` in class `PrintStream`

#### println

    public void println(String x)

Overrides:
  `println` in class `PrintStream`

#### println

    public void println(Object x)

Overrides:
  `println` in class `PrintStream`

#### printf

    public PrintStream printf(String format,
                              Object... args)

Overrides:
  `printf` in class `PrintStream`

#### printf

    public PrintStream printf(Locale l,
                              String format,
                              Object... args)

Overrides:
  `printf` in class `PrintStream`

#### format

    public PrintStream format(String format,
                              Object... args)

Overrides:
  `format` in class `PrintStream`

#### format

    public PrintStream format(Locale l,
                              String format,
                              Object... args)

Overrides:
  `format` in class `PrintStream`

#### append

    public PrintStream append(CharSequence csq)

Specified by:
  `append` in interface `Appendable`
Overrides:
  `append` in class `PrintStream`

#### append

    public PrintStream append(CharSequence csq,
                              int start,
                              int end)

Specified by:
  `append` in interface `Appendable`
Overrides:
  `append` in class `PrintStream`

#### append

    public PrintStream append(char c)

Specified by:
  `append` in interface `Appendable`
Overrides:
  `append` in class `PrintStream`

#### write

    public void write(byte[] b)
               throws IOException

Overrides:
  `write` in class `FilterOutputStream`
Throws:
  `IOException`